UbixOS V2 2.0

Macros
cc.h File Reference
`#include <ubixos/time.h>`
Include dependency graph for cc.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | LWIP_ERR_T int
#define | PACK_STRUCT_BEGIN
#define | PACK_STRUCT_END
#define | PACK_STRUCT_FIELD(x) x __attribute__((packed))
#define | PACK_STRUCT_STRUCT __attribute__((packed))

## Macro Definition Documentation

## ◆ LWIP_ERR_T

#define LWIP_ERR_T int

Definition at line 11 of file cc.h.

## ◆ PACK_STRUCT_BEGIN

#define PACK_STRUCT_BEGIN

Definition at line 8 of file cc.h.

## ◆ PACK_STRUCT_END

#define PACK_STRUCT_END

Definition at line 9 of file cc.h.

## ◆ PACK_STRUCT_FIELD

#define PACK_STRUCT_FIELD | ( |  | x | ) | x __attribute__((packed))

Definition at line 6 of file cc.h.

## ◆ PACK_STRUCT_STRUCT

PACK_STRUCT_BEGIN struct rdnss_option PACK_STRUCT_STRUCT __attribute__((packed))

Definition at line 7 of file cc.h.